> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get optimizer details by ID



## OpenAPI

````yaml https://api.comm.com/docs/api.json get /v1/voice/optimizers/{optimizerId}
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/voice/optimizers/{optimizerId}:
    get:
      tags:
        - AgentOptimizers
      summary: Get optimizer details by ID
      operationId: voice.optimizers.show
      parameters:
        - name: optimizerId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  agent_id:
                    type: string
                  system_prompt:
                    type: string
                  answered_calls_per_test:
                    type: string
                  test_volume_percent:
                    type: string
                  is_enabled:
                    type: string
                  current_test_id:
                    type: string
                  is_active:
                    type: boolean
                  history_count:
                    type: string
                  created_at:
                    type: string
                  updated_at:
                    type: string
                required:
                  - id
                  - name
                  - agent_id
                  - system_prompt
                  - answered_calls_per_test
                  - test_volume_percent
                  - is_enabled
                  - current_test_id
                  - is_active
                  - history_count
                  - created_at
                  - updated_at
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '404':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Optimizer not found
                required:
                  - message
components:
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````